%if 0%{?rhel} == 6
%define cmake_pkg cmake28
%else
%define cmake_pkg cmake
%endif

Name:		liblxqt
Version:	0.8.0
Release:	7%{?dist}
License:	LGPLv2
Summary:	Core shared library for LXQt desktop suite
Url:		http://www.lxde.org
Source0:	http://lxqt.org/downloads/lxqt/0.8.0/%{name}-%{version}.tar.xz

BuildRequires:  %{cmake_pkg} >= 2.8.9
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5Xdg) >= 1.0.0
BuildRequires: pkgconfig(Qt5Help)

Patch0: liblxqt-0.8.0-qt5-path.patch
# upstreamable, move .cmake files to libdir (avoids multilib conflicts)
Patch1: liblxqt-0.8.0-cmake_libdir.patch

%description
Core utility library for all LXQT components

%package devel
Summary:	Devel files for liblxqt
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
LXQt libraries for development.

%prep
%setup

%patch0 -p1 -b .qt5-path
%patch1 -p1 -b .cmake_libdir

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{?cmake28}%{!?cmake28:%{?cmake}} -DUSE_QT5=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%if 0%{?rhel} == 6
rm -f %{buildroot}/%{_datadir}/lxqt-qt5/translations/liblxqt/liblxqt_sr@latin.qm
%endif

%find_lang %{name} --with-qt --without-mo

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_libdir}/liblxqt-qt5.so.0*
%dir %{_datadir}/lxqt-qt5/
%dir %{_datadir}/lxqt-qt5/translations/

%files devel
%{_libdir}/liblxqt-qt5.so
%{_includedir}/lxqt-qt5/
%{_libdir}/cmake/lxqt-qt5/
%{_libdir}/pkgconfig/lxqt-qt5.pc

%changelog
* Sat Nov 08 2014 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-7
- own /usr/share/lxqt-qt5, /usr/share/lxqt-qt5/translations

* Sat Nov 08 2014 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-6
- (upstreamable) patch to move cmake files to libdir properly

* Sat Nov 08 2014 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-5
- revert cmake hack, cmake files still reference the old dir (working on a better solution)

* Fri Nov 07 2014 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-4
- fix build for older distros/rpm (where %%autostetup isn't available, like el6)

* Fri Nov 07 2014 Helio Chissini de Castro <hcastro@redhat.com> 0.8.0-3
- Merge qt5 datadir patch

* Fri Nov 07 2014 TI_Eugene <ti.eugene@gmail.com> 0.8.0-2
- License changed to LGPLv2
- Removed BR liblxqt-devel in -devel package
- RHEL6 workaround in %%install section
- Library soname tune

* Mon Oct 27 2014 TI_Eugene <ti.eugene@gmail.com> 0.8.0-1
- initial packaging
